// Macro for contrast enhancement and normalization of images stored in a directory
// Author: Dr. Kedar Khare, IIT Delhi

input = "C:\\Users\\Kedar\\Desktop\\3D_Paper_Demo_dataset\\A\\"; // input path
output = "C:\\Users\\Kedar\\Desktop\\3D_Paper_Demo_dataset\\A-1\\"; // output path

list = getFileList(input);

for (i = 0; i < list.length; i++){
	open(input + list[i]);
	run("Enhance Contrast", "saturated=5 normalize");
	saveAs("Tiff", output + list[i]);
	close();
}
